commit:     8f60dc88c3835a6fe889c48fa82f268f9cbe1582
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 27 21:53:29 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Mar 27 21:55:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f60dc88

sys-power/powertop: Version bump to 2.10

Closes: https://bugs.gentoo.org/679394
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-power/powertop/Manifest             |   1 +
 sys-power/powertop/powertop-2.10.ebuild | 118 ++++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/sys-power/powertop/Manifest b/sys-power/powertop/Manifest
index c0cd2b6155f..97496d051b4 100644
--- a/sys-power/powertop/Manifest
+++ b/sys-power/powertop/Manifest
@@ -1,2 +1,3 @@
+DIST powertop-2.10.tar.gz 296409 BLAKE2B 
50a8881e8fedd66d144b6929bf077710050da264d1ff02f38bf5497b80d1038ee55434e3f731a970b92748ce3130a226ec85daf2f105fb10dcebd40355294c79
 SHA512 
ce7b5c4a5c80596c6a78f1c00c107a13dd3f0d9051c7c44333d18a0f0c050c8e148c8b251d59bd49341f20a6a19eb1f956902e8c57110251e9e4f608e0542357
 DIST powertop-2.8.tar.gz 670000 BLAKE2B 
4259f462d36fe0cbb157859d6e1d3e1face67f7232fe8d4112d77f844b545f49e9cf486e21bcbc34f64ffb0c891c1864141784dde14e3a96647d6535641a840a
 SHA512 
253d0e15f0972cf8639735c510f4884d49a0da76c31dd2f39603e2297e6c6f0b9fa283c7b3cb04a431c91f8296275c0adaecc4c3e9ea132c0c31064f7f432c80
 DIST powertop-v2.9.tar.gz 718763 BLAKE2B 
bb6ce789614397b02f0e9f1cb71585cb456c1428cc43e9fe1c4b3bc9f96171fede4c587410e78e58ad8d0b0f772549a93f454bcd1b521e6dd3c809a85dc3cf30
 SHA512 
783af538c44e3fae7215a5b4247eb32a72e02150b3f297e6b9777a450823dd30aca014601892c0e80937a366eed95b42b622c68161d53e905ad4fbcb574b26f5

diff --git a/sys-power/powertop/powertop-2.10.ebuild 
b/sys-power/powertop/powertop-2.10.ebuild
new file mode 100644
index 00000000000..200e2c08f9f
--- /dev/null
+++ b/sys-power/powertop/powertop-2.10.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://github.com/fenrus75/powertop.git";
+
+if [[ ${PV} == "9999" ]] ; then
+       GIT_ECLASS="git-r3"
+       SRC_URI=""
+else
+       SRC_URI="https://github.com/fenrus75/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+inherit autotools ${GIT_ECLASS} linux-info
+
+DESCRIPTION="tool to diagnose issues with power consumption and power 
management"
+HOMEPAGE="https://01.org/powertop/ https://github.com/fenrus75/powertop/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="nls unicode X"
+
+DEPEND="
+       dev-libs/libnl:3
+       sys-apps/pciutils
+       sys-libs/ncurses:=[unicode?]
+"
+
+BDEPEND="
+       virtual/pkgconfig
+       sys-devel/gettext
+"
+RDEPEND="
+       ${DEPEND}
+       X? ( x11-apps/xset )
+       virtual/libintl
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.8-ncurses_tinfo.patch
+)
+
+pkg_setup() {
+       CONFIG_CHECK="
+               ~X86_MSR
+               ~DEBUG_FS
+               ~PERF_EVENTS
+               ~TRACEPOINTS
+               ~NO_HZ_IDLE
+               ~HIGH_RES_TIMERS
+               ~HPET_TIMER
+               ~CPU_FREQ_STAT
+               ~CPU_FREQ_GOV_ONDEMAND
+               ~FTRACE
+               ~BLK_DEV_IO_TRACE
+               ~TRACING
+       "
+       ERROR_KERNEL_X86_MSR="X86_MSR is not enabled in the kernel, you almost 
certainly need it"
+       ERROR_KERNEL_DEBUG_FS="DEBUG_FS is not enabled in the kernel, you 
almost certainly need it"
+       ERROR_KERNEL_PERF_EVENTS="PERF_EVENTS should be enabled in the kernel 
for full powertop function"
+       ERROR_KERNEL_TRACEPOINTS="TRACEPOINTS should be enabled in the kernel 
for full powertop function"
+       ERROR_KERNEL_NO_HZ_IDLE="NO_HZ_IDLE should be enabled in the kernel for 
full powertop function"
+       ERROR_KERNEL_HIGH_RES_TIMERS="HIGH_RES_TIMERS should be enabled in the 
kernel for full powertop function"
+       ERROR_KERNEL_HPET_TIMER="HPET_TIMER should be enabled in the kernel for 
full powertop function"
+       ERROR_KERNEL_CPU_FREQ_STAT="CPU_FREQ_STAT should be enabled in the 
kernel for full powertop function"
+       ERROR_KERNEL_CPU_FREQ_GOV_ONDEMAND="CPU_FREQ_GOV_ONDEMAND should be 
enabled in the kernel for full powertop function"
+       ERROR_KERNEL_FTRACE="FTRACE needs to be turned on to enable 
BLK_DEV_IO_TRACE"
+       ERROR_KERNEL_BLK_DEV_IO_TRACE="BLK_DEV_IO_TRACE needs to be turned on 
to enable other config options"
+       ERROR_KERNEL_TRACING="TRACING should be enabled in the kernel for full 
powertop function"
+       linux-info_pkg_setup
+       if linux_config_exists; then
+               if kernel_is -lt 3 7 0; then
+                       if linux_chkconfig_present SND_HDA_INTEL; then
+                               CONFIG_CHECK="~SND_HDA_POWER_SAVE"
+                               
ERROR_KERNEL_SND_HDA_POWER_SAVE="SND_HDA_POWER_SAVE should be enabled in the 
kernel for full powertop function"
+                               check_extra_config
+                       fi
+               fi
+               if kernel_is -lt 3 9 0; then
+                       CONFIG_CHECK="~EVENT_POWER_TRACING_DEPRECATED"
+                       
ERROR_KERNEL_EVENT_POWER_TRACING_DEPRECATED="EVENT_POWER_TRACING_DEPRECATED 
should be enabled in the kernel for full powertop function"
+                       check_extra_config
+               fi
+               if kernel_is -lt 3 19; then
+                       CONFIG_CHECK="~PM_RUNTIME"
+                       ERROR_KERNEL_PM_RUNTIME="PM_RUNTIME should be enabled 
in the kernel for full powertop function"
+                       check_extra_config
+               else
+                       CONFIG_CHECK="~PM"
+                       ERROR_KERNEL_PM="PM should be enabled in the kernel for 
full powertop function"
+                       check_extra_config
+               fi
+               if kernel_is -lt 4 11; then
+                       CONFIG_CHECK="~TIMER_STATS"
+                       ERROR_KERNEL_TIMER_STATS="TIMER_STATS should be enabled 
in the kernel for full powertop function"
+                       check_extra_config
+               fi
+       fi
+}
+
+src_prepare() {
+       default
+
+       # Bug 599114
+       sed -i '1s|^|AX_REQUIRE_DEFINED([AX_CXX_COMPILE_STDCXX_11])|' 
configure.ac || die
+
+       chmod +x scripts/version || die "Failed to make 'scripts/version' 
executable"
+       scripts/version || die "Failed to extract version information"
+
+       eautoreconf
+}
+
+src_configure() {
+       export ac_cv_search_delwin=$(usex unicode -lncursesw -lncurses)
+       econf $(use_enable nls)
+}

Reply via email to